
package com.house365.web.util;


import java.text.SimpleDateFormat;

import java.util.Date;

/** 
 * 各种编码生成工具类
 * 
 * @author huaqingchun
 * @date 
 * @version 1.0
 */
public class CodeGeneratedUtils {

    public static SimpleDateFormat simple_sdf = new SimpleDateFormat("yyMMdd");
    public static SimpleDateFormat sdf = new SimpleDateFormat("yyMMddHHmmss");
    
    private static String PRODUCT_CODE = "TFP";
    
    /**
     * 生成产品编号
     * 
     * @return
     */
    public static String create_ProductCode() {
        return PRODUCT_CODE + 
                sdf.format(new Date()) + StringUtils.getRandomChars(6);
    }
    

}
